Subject: Re: pthreads ?
From: Scott Dudley <[email-masked]>
To: [email-masked]
Date: Mon, 28 Aug 2000 10:59:06 -0700

Chris Faylor wrote:

> On Mon, Aug 28, 2000 at 10:49:10AM -0700, Scott Dudley wrote:
> >
> >i just downloaded and installed cygwin32 a week or so ago and am loving
> >it!  i've thus far experienced little difficulty migrating software from
> >unix to nt.  i have however a couple of questions.  any idea when
> >popen() will be implemented ( i use it heavily) and what about pthreads
> >support?  i have a threaded app that i was going to attempt to migrate
> >but don't see the lib anywhere.
>
> popen *is* implemented.
>

any calls to popen() exit with the "not implemented" message.  i just
download a week or so ago but could it be i don't have the latest lib?

>
> There is already limited pthreads support.
>
> Unfortunately, the only documentation for it is in the kernel.
>
> We are looking for volunteers to augment pthreads but, so far, we have
> lots of interest in using pthreads but little interest in augmenting
> what's there.

i'd be glad to help if i knew the win32 stuff but don't and have little
interest in doing so ;-)

>
>
> Which is standard for cygwin, I guess...
>
> cgf

--

Microsoft gives you Windows but Unix gives you the whole house!

--
Want to unsubscribe from this list?
Send a message to [email-masked]